Subject: Re: pkg/34036 (pkgsrc no longer fetches files)
To: None <,,>
From: Antoine Reilles <>
List: pkgsrc-bugs
Date: 07/20/2006 13:35:02
The following reply was made to PR pkg/34036; it has been noted by GNATS.

From: Antoine Reilles <>
Subject: Re: pkg/34036 (pkgsrc no longer fetches files)
Date: Thu, 20 Jul 2006 15:21:41 +0200

 I have just another problem under darwin: bmake fetch just does not
 Here is the output of
 cd pkgsrc/print/latex-mk; bmake PKG_DEBUG_LEVEL=3D1 fetch
 for which the distfile is not present
 set -e;				 args=3Ddigest\>=3D20010302\ ../../pkgtools/digest;				 set -- d=
 ummy $args; shift;					 while test $# -gt 0; do					 pattern=3D"$1"; dir=3D=
 "$2"; shift 2;			 silent=3D;			 pkg=3D`/usr/bin/env  /usr/pkg/sbin/pkg_admi=
 n -K /usr/pkg/pkgdb -b -d /usr/pkg/pkgdb -S lsbest "$pattern" || true`;		 c=
 ase "$pkg" in							 "")								 echo "=3D>" "Required installed package $p=
 attern: NOT found";  target=3Dreinstall;				 echo "=3D>" "Verifying $target=
  for $dir";		 if test ! -d "$dir"; then				 echo 1>&2 "ERROR:" "[
 ] The directory \`\`$dir'' does not exist.";  exit 1;						 fi;							 cd $=
 dir;						 /usr/bin/env _PKGSRC_DEPS=3D", latex-mk-1.8" PKGNAME_REQD=3D"$pa=
 ttern" /usr/pkg/bin/bmake _MAKE=3D/usr/pkg/bin/bmake OPSYS=3DDarwin OS_VERS=
 win _PKGSRCDIR=3D/Volumes/src/pkgsrc PKGTOOLS_VERSION=3D20060424 _CC=3D/usr=
 /bin/gcc _PATH_ORIG=3D/Users/tonio/workspace/jtom/src/dist/bin:/Users/tonio=
 r/bin:/bin:/usr/sbin:/sbin _AUTOMATIC=3Dyes $target;  pkg=3D`/usr/bin/env  =
 /usr/pkg/sbin/pkg_admin -K /usr/pkg/pkgdb -b -d /usr/pkg/pkgdb -S lsbest "$=
 pattern" || true`;	 case "$pkg" in						 "")	echo 1>&2 "ERROR:" "[depends.m=
 k] A package matching \`\`$pattern'' should";  echo 1>&2 "ERROR:" "    be i=
 nstalled, but one cannot be found.  Perhaps there is a";  echo 1>&2 "ERROR:=
 " "    stale work directory for $dir?";  exit 1;						 esac;							 echo "=
 =3D>" "Returning to build of latex-mk-1.8";		 ;;							 *)								 objfmt=
 =3D`/usr/bin/env  /usr/pkg/sbin/pkg_info -K /usr/pkg/pkgdb -Q OBJECT_FMT "$=
 pkg"`;		 case "$objfmt" in					 "")	echo 1>&2 "WARNING:" "[] Unkn=
 own object format for installed package $pkg" ;;  Mach-O)	;;					 *)	echo 1=
 >&2 "ERROR:" "[] Installed package $pkg has an";  echo 1>&2 "ERRO=
 R:" "    object format \`\`$objfmt'' which differs from \`\`Mach-O''.  Plea=
 se";  echo 1>&2 "ERROR:" "    update the $pkg package to Mach-O.";  exit 1;=
 						 ;;						 esac;							 if test -z "$silent"; then				 echo "=3D>" "Re=
 quired installed package $pattern: $pkg found";  fi;							 ;;							 esac;=
 =3D> Required installed package digest>=3D20010302: digest-20060302 found
 vulnfile=3D/Volumes/src/pkgsrc/distfiles/pkg-vulnerabilities;			 if test ! =
 -f "$vulnfile"; then				 echo =3D=3D=3D\> "Skipping vulnerability checks.";=
 		 echo 1>&2 "WARNING:" "No $vulnfile file found.";		 echo 1>&2 "WARNING:" =
 "To fix, install the pkgsrc/security/audit-packages";  echo 1>&2 "WARNING:"=
  "package and run: \`\`/usr/pkg/sbin/download-vulnerability-list''.";  exit=
  0;							 fi;								 echo =3D=3D=3D\> "Checking for vulnerabilities in la=
 tex-mk-1.8";	 conffile=3D;							 for dir in							 __dummy							 ""			 /u=
 sr/pkg/etc"";					 do								 case $dir in						 /*)	conffile=3D"$dir/audit=
 -packages.conf"; break ;;	 *)	continue ;;					 esac;							 done;								 i=
 f test -z "$conffile" -a -f "$conffile"; then		 . $conffile;						 fi;					=
 			 /usr/bin/env PKGNAME=3Dlatex-mk-1.8					 PKGBASE=3Dlatex-mk					 /usr/b=
 in/awk 'BEGIN { exitcode =3D 0 }					 /^$/ { next }						 /^#.*/ { next }		=
 				 $1 !~ ENVIRON["PKGBASE"] && $1 !~ /\{/ { next }	 { s =3D sprintf("/usr=
 /bin/env  /usr/pkg/sbin/pkg_admin -K /usr/pkg/pkgdb pmatch \"%s\" %s && ech=
 o 1>&2 \"ERROR:\" \"%s vulnerability in %s - see %s for more information\""=
 , $1, ENVIRON["PKGNAME"], $2, ENVIRON["PKGNAME"], $3); if (system(s) =3D=3D=
  0) { print $1; exitcode +=3D 1 }; }  END { exit exitcode }' < $vulnfile ||=
  false;	 if test "$?" -ne 0; then					 echo 1>&2 "ERROR:" "Define ALLOW_VUL=
 NERABLE_PACKAGES if this package is absolutely essential";  false;						 fi
 =3D=3D=3D> Skipping vulnerability checks.
 WARNING: No /Volumes/src/pkgsrc/distfiles/pkg-vulnerabilities file found.
 WARNING: To fix, install the pkgsrc/security/audit-packages
 WARNING: package and run: ``/usr/pkg/sbin/download-vulnerability-list''.